Intereting Posts
Статус выхода ($?) Из 148 при Ctrl + Z Существуют ли какие-либо инструменты для тестирования MTD / JFFS2 для ядер Linux 2.4 Как выполнить файл без разрешения на выполнение Как df узнает, сколько места занято, не просматривая все файлы? Сбой загрузки CentOS7 после восстановления поврежденного xfs и переустановки grub-2 Невозможно использовать команду date для изменения определенного формата даты в оболочке Bash на терминале OS X tor работает, когда его в / usr / bin, но не в / usr / sbin / Почему Linux не разрешает разрешения сетевого порта пользовательского уровня? не может загрузиться в EOS после сброса PRAM на MB Pro Как я могу управлять корзиной, созданной в `/`? несколько фоновых процессов в скрипте Получите 60 минут до и после заданной отметки времени – Shell / ksh PHP + FastCGI + nginx на Debian Как указать консольные и ядровые шрифты? Является ли редактор `ed` полезным для любых целей, кроме чрезвычайных ситуаций и пакетного редактирования?

debian сжимает после конца жизни

Мне нужно установить с нуля debian 6 сжимать на компьютер (ну, на самом деле, некоторые из них). 2 недели назад (29 февраля) debian 6 сжатие достигло статуса конца жизни.

Я попытался изменить файл по умолчанию /etc/apt/sources.lists, пытаясь указать на новую структуру папок Dists без успеха.

Мой лучший выбор:

deb http://debian.grn.cat/ squeeze-lts main contrib non-free 

Но это не работает. Ошибка, которую я получаю

 root@debian:/etc/apt# apt-get update Hit http://debian.grn.cat squeeze-lts Release.gpg Ign http://debian.grn.cat/ squeeze-lts/contrib Translation-en Ign http://debian.grn.cat/ squeeze-lts/contrib Translation-en_US Ign http://debian.grn.cat/ squeeze-lts/main Translation-en Ign http://debian.grn.cat/ squeeze-lts/main Translation-en_US Ign http://debian.grn.cat/ squeeze-lts/non-free Translation-en Ign http://debian.grn.cat/ squeeze-lts/non-free Translation-en_US Hit http://debian.grn.cat squeeze-lts Release W: Failed to fetch http://debian.grn.cat/dists/squeeze-lts/Release Unable to find expected entry main/binary-i386/Packages in Meta-index file (malformed Release file?) 

Я проверил содержимое этого файла Release, и действительно, он содержит сломанную ссылку, которую я могу детализировать, если потребуется.

Мой вопрос: должен ли я отказаться от взлома / отладки с этой проблемой и переместиться по debian 7/8? Я уже использую debian 8.1 с моей машиной разработки, но нам нужно debian 6 для устаревших развернутых машин, у которых нет интернета. Миграция этих машин невозможна.

Выполняет разлад: почему разработчики debian хотят заставить нас обновить дистрибутив? Если наше решение работает на debian 6, мы не хотим рисковать и тратить время и деньги на каждый выпуск. Дайте нам свободу, которую вы утверждаете, чтобы продвигать!

Чтобы установить Debian 6 (или 6 LTS), вам необходимо использовать http://archive.debian.org ; например, в ваших sources.list :

 deb http://archive.debian.org/ squeeze main contrib non-free deb http://archive.debian.org/ squeeze-lts main contrib non-free 

Что касается вашего разглагольства, хотя я понимаю ваше разочарование, это проблема с затратами: сохранение выпуска на главной зеркальной сети требует пространства для хранения (и, следовательно, денег, косвенно) и создает ожидания поддержки, которые не могут быть выполнены в рамках существующей LTS (или проект в целом).

Спасибо Стивену за то, что он намекнул мне попробовать архив. Предлагаемое решение, возможно, сработало в тот день, когда он опубликовал его, но сегодня он этого не сделал, он сказал, что этот выпуск истек. Но я попробовал Debian-6.0, чтобы создать файл вроде:

 deb http://archive.debian.org/debian Debian-6.0 main contrib non-free #deb http://archive.debian.org/debian squeeze-lts main contrib non-free 

Просто перестроил спарковую машину из Squeeze. В /etc/apt/sources.list я добавил:

 deb http://archive.debian.org/debian squeeze main contrib non-free 

Сэкономленный, побежал apt-get update , и все персиковое.

введите описание изображения здесь